Token payroll
Update Payroll Type
Toggles a legacy Payroll row between ON_CYCLE and OFF_CYCLE unless settled.
POSThttps://api.toku.com/stablecoin-payroll/update-payroll-type
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/update-payroll-type' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"payrollId": "string"
}'200 response
{
"payroll": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"entity": "string",
"payPeriodStart": "string",
"payPeriodEnd": "string",
"payDate": "string",
"currentStep": "CONFIGURATION",
"state": "DRAFT",
"type": "ON_CYCLE",
"externalPayrollID": "string",
"fiatCurrency": "string",
"stableCoinCurrency": "string",
"tokenTypeID": "string",
"exchangeRate": "string",
"isStablecoinPayrollComplete": true,
"isFiatPayrollComplete": true,
"isSyncedFromHRIS": true,
"selectedEmployeeIds": [
"string"
],
"isCsvUploaded": true,
"createdAt": "string",
"updatedAt": "string",
"createdByID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"lastModifiedByID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
payrollIdstringrequiredAllowed: 1 to 200 characters
Response
200Successful response
payrollobject | nullrequiredShow child attributes
idstring<uuid>requiredorgIDstring<uuid>requirednamestringrequiredentitystringrequiredpayPeriodStartstringrequiredpayPeriodEndstringrequiredpayDatestringrequiredcurrentStepstringrequiredAvailable options: CONFIGURATION, COMPENSATION_DETAILS, TAX_CALCULATION, APPROVAL_TRANSFER, SETTLED
statestringrequiredAvailable options: DRAFT, PENDING, OVERDUE, LOCKED, IN_PROGRESS, APPROVED, COMPLETED, CANCELLED
typestringrequiredAvailable options: ON_CYCLE, OFF_CYCLE, INVOICE_PAYMENT
externalPayrollIDstring | nullrequiredfiatCurrencystringrequiredstableCoinCurrencystring | nullrequiredtokenTypeIDstring | nullrequiredexchangeRatestring | nullrequiredAllowed: matches ^-?\d+(?:\.\d+)?$
isStablecoinPayrollCompletebooleanrequiredisFiatPayrollCompletebooleanrequiredisSyncedFromHRISbooleanrequiredselectedEmployeeIdsstring[]requiredimportedDataanyrequiredprocessedDataanyrequiredsettlementDataanyrequiredisCsvUploadedboolean | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredcreatedByIDstring<uuid>requiredlastModifiedByIDstring<uuid>required400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits